LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XModeSelector Interface Referencepublished

is supported by objects which supply different modes. More...

`import"XModeSelector.idl";`

Inheritance diagram for XModeSelector:

## Public Member Functions
void | setMode ([in] string aMode) raises ( com::sun::star::lang::NoSupportException )
| sets a new mode for the implementing object. More...
string | getMode ()
sequence< string > | getSupportedModes ()
boolean | supportsMode ([in] string aMode)
| asks whether a mode is supported or not. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is supported by objects which supply different modes.

## Member Function Documentation

## ◆ getMode()

string getMode | ( |  | ) |

Returns
  the current mode.

## ◆ getSupportedModes()

sequence<string> getSupportedModes | ( |  | ) |

Returns
  a sequence of all supported modes.

## ◆ setMode()

void setMode | ( | [in] string | aMode | ) |
raises | ( | com::sun::star::lang::NoSupportException
| ) |  |

sets a new mode for the implementing object.

## ◆ supportsMode()

boolean supportsMode | ( | [in] string | aMode | ) |

asks whether a mode is supported or not.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XModeSelector.idl